package com.prolog.cs.biz.outbound.model.entity;

import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
@Table(value = "WMS_STATUS_RECORD", appendDefaultJdbcType = true, camelToUnderline = true)
public class StatusRecordDO extends BaseModel implements Serializable {
    private static final long serialVersionUID = -3855537651294606419L;
    @Id
    @ApiModelProperty(value = "ID")
    @Column(value = "id")
    @AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
    private String id;

    @ApiModelProperty(value = "业务id")
    @Column(value = "biz_id")
    private String bizId;

    @ApiModelProperty(value = "业务类型")
    @Column(value = "biz_type")
    private String bizType;

    @ApiModelProperty(value = "状态码")
    @Column(value = "status_code")
    private String statusCode;

    @ApiModelProperty(value = "状态名")
    @Column(value = "status_name")
    private String statusName;

    @ApiModelProperty(value = "开始时间")
    @Column(value = "start_time")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @Column(value = "end_time")
    private Date endTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public String getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(String statusCode) {
        this.statusCode = statusCode;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
